## django-tastypie 0.9.7

=== requirements.txt ===
Django>=1.0.0
mimeparse>=0.1.3
python-dateutil
lxml
PyYAML

=== debian/changelog ===
django-tastypie (0.9.7-1) unstable; urgency=low

  * Initial release (Closes: #646179)

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 11 Oct 2011 11:43:28 -0400

=== debian/control ===
Source: django-tastypie
Maintainer: Dominique Belhachemi <domibel@debian.org>
Section: python
Priority: optional
Build-Depends: cdbs, debhelper (>= 7), python-support, python-setuptools, python-all
Standards-Version: 3.8.4
Homepage: http://django-tastypie.readthedocs.org/

Package: python-django-tastypie
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: webservice API framework for Django
 Tastypie is an webservice API framework for Django. It provides a
 convenient, yet powerful and highly customizable, abstraction for
 creating REST-style interfaces.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

get-orig-source:
	/bin/sh $(CURDIR)/debian/get-orig-source

## django-tastypie 0.9.10

=== requirements.txt ===
Django>=1.0.0
mimeparse>=0.1.3
python-dateutil==1.5
lxml
PyYAML
python_digest

=== debian/changelog ===
django-tastypie (0.9.10-2) unstable; urgency=low

  * added runtime dependencies (Closes: #647599)
  *    python-dateutil (>= 1.5)
  *    python-django (>= 1.2)
  *    python-mimeparse (>= 0.1.3)
  * added Suggests field: python-yaml, python-lxml
  * added debian/watch
  * updated debian/copyright file to match format specification

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 04 Nov 2011 09:08:01 -0400

django-tastypie (0.9.10-1) unstable; urgency=low

  * new upstream release
  * fixes a yaml related security issue in serializers.py (Closes: #647314)
  * removed debian/patches/python_digest.diff

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 01 Nov 2011 16:11:48 -0400

django-tastypie (0.9.9-3) unstable; urgency=low

  * rename python-django-tastypie to python-tastypie
  * apply upstream patch ee13e251ac to remove python_digest dependency

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 27 Oct 2011 21:02:20 -0400

django-tastypie (0.9.9-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2
  * Bump debhelper 8
  * Switch to dh_python2 

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 24 Oct 2011 21:59:16 -0400

django-tastypie (0.9.9-1) unstable; urgency=low

  * new upstream release

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 24 Oct 2011 17:37:39 -0400

=== debian/control ===
Source: django-tastypie
Maintainer: Dominique Belhachemi <domibel@debian.org>
Section: python
Priority: optional
Build-Depends: cdbs (>=0.4.90), debhelper (>= 8), python-setuptools, python-all (>=2.6.6-3)
Standards-Version: 3.9.2
Homepage: http://django-tastypie.readthedocs.org/

Package: python-tastypie
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dateutil (>= 1.5), python-django (>= 1.2), python-mimeparse (>= 0.1.3)
Suggests: python-yaml, python-lxml
Breaks: python-django-tastypie (<= 0.9.9-2)
Replaces: python-django-tastypie (<= 0.9.9-2)
Description: webservice API framework for Django
 Tastypie is an webservice API framework for Django. It provides a
 convenient, yet powerful and highly customizable, abstraction for
 creating REST-style interfaces.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/toastdriven/django-tastypie (.*).tar.gz

## django-tastypie 0.9.15

=== debian/changelog ===
django-tastypie (0.9.15-1) unstable; urgency=low

  * new upstream release
  * Bump Standards-Version to 3.9.4
  * updated watch file, thanks to Bart Martens

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 22 Jun 2013 09:17:01 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Dominique Belhachemi <domibel@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cdbs (>=0.4.90), debhelper (>= 8), python-setuptools, python-all (>=2.6.6-3)
-Standards-Version: 3.9.2
+Build-Depends: cdbs (>=0.4.90), debhelper (>= 8), python-setuptools, python-all (>=2.6.6-3), python-dateutil (>= 1.5), python-mimeparse (>= 0.1.3)
+Standards-Version: 3.9.4
 Homepage: http://django-tastypie.readthedocs.org/
 
 Package: python-tastypie

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

get-orig-source:
	/bin/sh $(CURDIR)/debian/get-orig-source

## django-tastypie 0.12.0

=== tests/requirements.txt ===
-r ../requirements.txt
biplist
defusedxml
lxml
mock
pytz==2013b
PyYAML

=== debian/changelog ===
django-tastypie (0.12.0-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:39:42 +0000

django-tastypie (0.12.0-1) unstable; urgency=medium

  * new upstream release with support for Django 1.7 (Closes: #755606)
  * debian/control: updated short description, suggest python-defusedxml
  * updated debian/copyright to be conform with copyright-format/1.0/

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 23 Sep 2014 12:42:17 -0400

django-tastypie (0.11.1-2) unstable; urgency=medium

  * added package python3-django-tastypie (Closes: #753647)

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 11 Aug 2014 14:57:58 -0400

django-tastypie (0.11.1-1) unstable; urgency=low

  * new upstream release
  * Bump Standards-Version to 3.9.5
  * debian/compat: 9
  * debian/rules: switch from cdbs to dh
  * bumped dependencies
  *    python-django (>= 1.5)
  *    python-mimeparse (>= 0.1.4)
  * rename binary package to python-django-tastypie (Closes: #721804)

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 11 Aug 2014 11:48:43 -0400

=== debian/control ===
Source: django-tastypie
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dominique Belhachemi <domibel@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python, python-all (>=2.6.6-3), python-setuptools, python3-all, python3-setuptools, python-dateutil (>= 1.5), python-mimeparse (>= 0.1.4), python3-dateutil (>= 1.5), python3-mimeparse (>= 0.1.4)
Standards-Version: 3.9.5
Homepage: http://django-tastypie.readthedocs.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-django-tastypie
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-dateutil (>= 1.5), python-django (>= 1.5), python-mimeparse (>= 0.1.4)
Suggests: python-yaml, python-lxml, python-defusedxml
Breaks: python-tastypie (<< 0.11.1)
Replaces: python-tastypie (<< 0.11.1)
Description: webservice API framework for Django (Python 2)
 Tastypie is an webservice API framework for Django. It provides a
 convenient, yet powerful and highly customizable, abstraction for
 creating REST-style interfaces.
 .
 This is the Python 2 version of the package.

Package: python3-django-tastypie
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-dateutil (>= 1.5), python3-django (>= 1.5), python3-mimeparse (>= 0.1.4)
Suggests: python3-yaml, python3-lxml, python3-defusedxml
Description: webservice API framework for Django (Python 3)
 Tastypie is an webservice API framework for Django. It provides a
 convenient, yet powerful and highly customizable, abstraction for
 creating REST-style interfaces.
 .
 This is the Python 3 version of the package.

## django-tastypie 0.13.3

=== requirements.txt ===
python-dateutil>=2.1
python-mimeparse>=0.1.4

=== tests/requirements.txt ===
-r ../requirements.txt
biplist
coverage
defusedxml
lxml
mock<1.1.0
pytz==2013b
PyYAML

=== debian/changelog ===
django-tastypie (0.13.3-1~16.04.1) xenial; urgency=medium

  * Backport of 0.13.3-1 to fix django-tastypie's incompatability with django
    version 1.8 which is the only one available in Ubuntu 16.04.
    (LP: #1733013)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Nov 2017 14:31:09 -0800

django-tastypie (0.13.3-1) unstable; urgency=medium

  * new upstream release with support for Django 1.8/1.9 (Closes: #826022)
  * Bump Standards-Version to 3.9.8
  * supports python 2.7 and 3.4

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 30 Jun 2016 23:07:53 -0400

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=django-tastypie

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

#override_dh_auto_clean:
#	dh_auto_clean

override_dh_auto_test:

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/toastdriven/django-tastypie/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 12:50:33 +0000

## django-tastypie 0.14.3

=== tests/requirements.txt ===
-r ../requirements.txt
biplist
coverage
defusedxml
lxml
mock<1.1.0
pytz==2013b0
PyYAML

=== debian/changelog ===
django-tastypie (0.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1085547
  * Maintain in Debian Python Team
    Closes: #1099732
  * d/watch: Provide proper name for upstream tarball
  * d/get-orig-source: Remove since watch file is sufficient
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.

 -- Andreas Tille <tille@debian.org>  Fri, 07 Mar 2025 09:44:00 +0100

django-tastypie (0.13.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed Python 2 support after the Django 2.2 upload to Sid.
  * Removed X-Python-Version: >= 2.7 X-Python3-Version: >= 3.4.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 17:34:29 +0200

=== debian/control ===
Source: django-tastypie
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dominique Belhachemi <domibel@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-dateutil,
               python3-mimeparse
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-tastypie
Vcs-Git: https://salsa.debian.org/python-team/packages/django-tastypie.git
Homepage: https://django-tastypie.readthedocs.org/

Package: python3-django-tastypie
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-dateutil,
         python3-django,
         python3-mimeparse
Suggests: python3-yaml,
          python3-lxml,
          python3-defusedxml
Description: webservice API framework for Django (Python 3)
 Tastypie is an webservice API framework for Django. It provides a
 convenient, yet powerful and highly customizable, abstraction for
 creating REST-style interfaces.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=django-tastypie

%:
	dh $@ --buildsystem=pybuild

#override_dh_auto_clean:
#	dh_auto_clean

override_dh_auto_test:

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/toastdriven/django-tastypie/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## django-tastypie 0.15.1

=== tests/requirements.txt ===
-r ../requirements.txt
biplist
coverage
defusedxml
lxml
pytz==2021.1
PyYAML

=== debian/changelog ===
django-tastypie (0.15.1-2) unstable; urgency=medium

  * Team upload.
  * Only run autopkgtests on architectures where postgis is available.

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Jan 2026 01:57:38 +0000

django-tastypie (0.15.1-1) unstable; urgency=medium

  [ Dominique Belhachemi ]
  * Edit watch file, switch to official project URL
  * Edit control, Change Uploader to Andreas

  [ Florent 'Skia' Jacquet ]
  * Team upload.
  * New upstream version 0.15.1
    Closes: #1122968
  * Add autopkgtest calling the upstream test suite
  * d/patches/0001-tests-gis[...].patch: fix two tests being slightly broken

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Mon, 15 Dec 2025 10:51:22 +0100

=== debian/tests/control ===
Tests: run
Depends:
  libsqlite3-mod-spatialite,
  postgis,
  postgresql,
  postgresql-client,
  postgresql-postgis,
  python-is-python3,
  python3-biplist,
  python3-dateutil,
  python3-defusedxml,
  python3-django,
  python3-gdal,
  python3-lxml,
  python3-mimeparse,
  python3-psycopg,
  python3-pytz,
  python3-setuptools,
  python3-yaml,
  spatialite-bin,
Restrictions:
  allow-stderr,
  needs-sudo,
# postgis Build-Depends: architecture-is-64-bit.  Limit to architectures
# where it's available.
Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64 s390x sparc64

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/django-tastypie/django-tastypie/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
